from curses.ascii import HT
from locust import HttpUser, constant, task, constant_throughput

class OpaUser(HttpUser):
    host = "http://localhost:8181/v0/data/demo/msg"
    wait_time = constant_throughput(1)
    @task
    def get_msg(self):
        with self.client.post(self.host, catch_response=True) as response:
            if response.status_code != 200:
                response.failure(f"Expected response 200, got {response.status_code}")
